curl -X PATCH https://api.bodha.run/api/v1/orders/665f1a2b3c4d5e6f7a8b9c0f \
-H "X-API-Key: bk_live_..." \
-H "Content-Type: application/json" \
-d '{ "priority": "urgent", "notes": "Customer called — deliver before noon" }'
Orders
Update Order
Partial update — only the fields you include are changed.
PATCH
/
orders
/
{orderId}
curl -X PATCH https://api.bodha.run/api/v1/orders/665f1a2b3c4d5e6f7a8b9c0f \
-H "X-API-Key: bk_live_..." \
-H "Content-Type: application/json" \
-d '{ "priority": "urgent", "notes": "Customer called — deliver before noon" }'
Fires the
All body fields are optional. Only included fields are updated.
order.updated webhook event.
string
required
The order’s unique identifier.
object
object
object
object
string
object[]
object
number
string
string
string
string[]
object
string
curl -X PATCH https://api.bodha.run/api/v1/orders/665f1a2b3c4d5e6f7a8b9c0f \
-H "X-API-Key: bk_live_..." \
-H "Content-Type: application/json" \
-d '{ "priority": "urgent", "notes": "Customer called — deliver before noon" }'